var system = require("../../../system")
const CtlBase = require("../../ctl.base");
const uuidv4 = require('uuid/v4');
class MsgnoticeCtl extends CtlBase {
  constructor() {
    super("msg", CtlBase.getServiceName(MsgnoticeCtl));
  }

  /**
   * 从socket.io访问
   * @param {*} p 
   * @param {*} msgHandler 
   */
  async findOnlinesByStr (p) {
    let s = p.likestr
    if (s) {
      console.log(s, "xxxxxxxxxxxxxxxxxxxx")
      let d = await this.service.findOnlinesByStr(s)
      return system.getResult(d)
    } else {
      return system.getResult(null)
    }
  }
}
module.exports = MsgnoticeCtl;
